# Bulk Update Documents

Source: https://www.digiparser.com/docs/api/bulkUpdateDocuments

# Bulk Update Documents

Server URL`loading...`

PATCH

/`api`/`v1`/`parsers`/`{parserId}`/`documents`

Send

Authorization

Path

Body

Update folder, custom metadata, or assignee for multiple documents.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

## [Request Body](#request-body)

`application/json`

documentIds?array<string\>

externalIds?array<string\>

updates?object

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X PATCH "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/documents" \  -H "Content-Type: application/json" \  -d '{}'
```

200

```
{
  "updated": 0,
  "skipped": 0,
  "errors": [
    {}
  ]
}
```

[

Update Document PATCH

Update customer-managed document fields. Use this endpoint to rename a document, update its external ID, replace custom metadata, or move it to a folder. Set \`folderId\` to \`null\` to remove the document from its folder.

](/docs/api/updateDocument)[

Get Document Data GET

Retrieve latest extracted field and table data for one document.

](/docs/api/getDocumentExtractedData)